package com.iamberry.wechat.face.agentInfo;

import com.iamberry.wechat.core.entity.agentInfo.AgentOrder;
import com.iamberry.wechat.core.entity.agentInfo.AgentOrderItem;

import java.util.List;
import java.util.Map;

/**
 * 采购&订单
 */
public interface AgentPurchaseOrderService {
    /**
     * 生成订单
     * @param agentOrder
     * @param agentOrderItemList
     * @return
     */
    Map<String,Object> addAgentOrder(AgentOrder agentOrder, List<AgentOrderItem> agentOrderItemList);

    /**
     * 查询订单项
     * @param orderId
     * @return
     */
    List<AgentOrderItem> listAgentOrderItemByOrderId(String orderId);

    /**
     *  修改采购订单
     * @param agentOrder
     * @return
     */
    Integer updateAgentPurchaseOrder(AgentOrder agentOrder);

    /**
     * 查询代理商订单信息,可分页
     * @param agentOrder
     * @return
     */
    List<AgentOrder> listAgentOrder(AgentOrder agentOrder);

}


