package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.agentInfo.AgentOrder;
import com.iamberry.wechat.core.entity.agentInfo.AgentOrderItem;

import java.util.List;

/**
 *  采购订单
 */
public interface AgentPurchaseOrderMapper {

    /**
     * 添加订单
     * @param agentOrder
     * @return
     */
    Integer addAgentOrder(AgentOrder agentOrder);

    /**
     * 添加订单项
     * @param agentOrderItemList
     * @return
     */
    Integer addAgentOrderItemList(List<AgentOrderItem> agentOrderItemList);

    /**
     * 查询订单项
     * @param agentOrderItem
     * @return
     */
    List<AgentOrderItem> listAgentOrderItem(AgentOrderItem agentOrderItem);

    /**
     *  修改采购订单
     * @param agentOrder
     * @return
     */
    Integer updateAgentPurchaseOrder(AgentOrder agentOrder);

    /**
     * 查询代理商订单信息,可分页
     * @param agentOrder
     * @return
     */
    List<AgentOrder> listAgentOrder(AgentOrder agentOrder);

}
